<?php
/**
* Social Options.
*
* @package Beauty Parlour Salon
*/

$beauty_parlour_salon_default = beauty_parlour_salon_get_default_theme_options();

// Social Section.
$wp_customize->add_section( 'beauty_parlour_salon_social_icon_setting',
	array(
	'title'      => esc_html__( 'Social Settings', 'beauty-parlour-salon' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'beauty_parlour_salon_theme_option_panel',
	)
);

$wp_customize->add_setting( 'beauty_parlour_salon_header_layout_facebook_link',
    array(
    'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_header_layout_facebook_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_header_layout_facebook_link',
    array(
    'label'    => esc_html__( 'Facebook Link', 'beauty-parlour-salon' ),
    'section'  => 'beauty_parlour_salon_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_header_layout_twitter_link',
    array(
    'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_header_layout_twitter_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_header_layout_twitter_link',
    array(
    'label'    => esc_html__( 'Twitter Link', 'beauty-parlour-salon' ),
    'section'  => 'beauty_parlour_salon_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_header_layout_pintrest_link',
    array(
    'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_header_layout_pintrest_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_header_layout_pintrest_link',
    array(
    'label'    => esc_html__( 'Pintrest Link', 'beauty-parlour-salon' ),
    'section'  => 'beauty_parlour_salon_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_header_layout_instagram_link',
    array(
    'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_header_layout_instagram_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_header_layout_instagram_link',
    array(
    'label'    => esc_html__( 'Instagram Link', 'beauty-parlour-salon' ),
    'section'  => 'beauty_parlour_salon_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_header_layout_youtube_link',
    array(
    'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_header_layout_youtube_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_header_layout_youtube_link',
    array(
    'label'    => esc_html__( 'Youtube Link', 'beauty-parlour-salon' ),
    'section'  => 'beauty_parlour_salon_social_icon_setting',
    'type'     => 'url',
    )
);